
<div>
    <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left" (click)="goToAdd()">Ajouter</button>

</div>
<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-danger">
                        <h4 class="card-title   " >Liste des Emplacements</h4>
                        <p class="card-category"> </p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table">
                                <thead >
                                <th  class="td-actions text-center">
                                    ID
                                </th>
                                <th class="td-actions text-center">
                                   Référence
                                </th>
                                <th class="td-actions text-center">
                                    Type
                                </th>
                                <th class="td-actions text-center">
                                    Libellé Emplacement
                                </th>
                                <th class="td-actions text-center">
                                    Description
                                </th>

                                <th>

                                </th>
                                <th>

                                </th>
                                </thead>
                                <tbody>
                                <tr *ngFor=" let c of emplacements">
                                    <td class="td-actions text-center"> {{c.id}}</td>
                                    <td class="td-actions text-center"> {{c.reference}}</td>
                                    <td class="td-actions text-center"> {{c.type}}</td>
                                    <td class="td-actions text-center">{{c.libelle_emplacement}}</td>
                                    <td class="td-actions text-center"> {{c.description}}</td>
                                    <td>
                                        <button mat-raised-button type="submit" class="btn btn-outline-success btn-sm float-left"  [routerLink]="[ '/modifierEmplacement', c.id ]">Modifier </button>
                                    </td>
                                    <td>
                                        <button mat-raised-button type="submit" class="btn btn-outline-danger btn-sm float-left" (click)="deleteEmplacement(c.id)" >Supprimer</button>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

